Callisto4Bootloader: stPayloadEncoder_t Struct Reference

Callisto4Bootloader

Data Fields
stPayloadEncoder_t Struct Reference

`#include <platform_encoder.h>`

## Data Fields

void(* | pfn_EncodeStructStart )(stPayloadBuffer_t *pstPayload)
void(* | pfn_EncodeStructEnd )(stPayloadBuffer_t *pstPayload)
void(* | pfn_EncodeArrayStart )(stPayloadBuffer_t *pstPayload)
void(* | pfn_EncodeArraySeparator )(stPayloadBuffer_t *pstPayload)
void(* | pfn_EncodeArrayEnd )(stPayloadBuffer_t *pstPayload)
void(* | pfn_EncodeFieldName )(stPayloadBuffer_t *pstPayload, const uint8_t *pau8FieldName)
void(* | pfn_EncodeFieldSeparator )(stPayloadBuffer_t *pstPayload)
void(* | pfn_EncodeBoolean )(stPayloadBuffer_t *pstPayload, bool bValue)
void(* | pfn_EncodeSignedInt )(stPayloadBuffer_t *pstPayload, int64_t i64Value)
void(* | pfn_EncodeUnsignedInt )(stPayloadBuffer_t *pstPayload, uint64_t ui64Value)
void(* | pfn_EncodeReal )(stPayloadBuffer_t *pstPayload, double dValue)
void(* | pfn_EncodeString )(stPayloadBuffer_t *pstPayload, const uint8_t *pau8String)

## Detailed Description

Definition at line 32 of file platform_encoder.h.

## Field Documentation

## ◆ pfn_EncodeArrayEnd

void(* stPayloadEncoder_t::pfn_EncodeArrayEnd) (stPayloadBuffer_t *pstPayload)

Definition at line 39 of file platform_encoder.h.

Referenced by GET_ObjectToJSON(), META_Callback(), META_ObjectToJSON(), and META_OutputFlagInfo().

## ◆ pfn_EncodeArraySeparator

void(* stPayloadEncoder_t::pfn_EncodeArraySeparator) (stPayloadBuffer_t *pstPayload)

Definition at line 38 of file platform_encoder.h.

Referenced by GET_ObjectToJSON(), META_Callback(), META_ObjectToJSON(), and META_OutputFlagInfo().

## ◆ pfn_EncodeArrayStart

void(* stPayloadEncoder_t::pfn_EncodeArrayStart) (stPayloadBuffer_t *pstPayload)

Definition at line 37 of file platform_encoder.h.

Referenced by GET_ObjectToJSON(), META_Callback(), META_ObjectToJSON(), and META_OutputFlagInfo().

## ◆ pfn_EncodeBoolean

void(* stPayloadEncoder_t::pfn_EncodeBoolean) (stPayloadBuffer_t *pstPayload, bool bValue)

Definition at line 42 of file platform_encoder.h.

Referenced by GET_ObjectToJSON().

## ◆ pfn_EncodeFieldName

void(* stPayloadEncoder_t::pfn_EncodeFieldName) (stPayloadBuffer_t *pstPayload, const uint8_t *pau8FieldName)

Definition at line 40 of file platform_encoder.h.

Referenced by GET_StructToJSON(), META_Callback(), META_EncodeType(), META_ObjectToJSON(), META_OutputFlagInfo(), META_OutputResourceInfo(), and META_StructToJSON().

## ◆ pfn_EncodeFieldSeparator

void(* stPayloadEncoder_t::pfn_EncodeFieldSeparator) (stPayloadBuffer_t *pstPayload)

Definition at line 41 of file platform_encoder.h.

Referenced by GET_StructToJSON(), META_Callback(), META_ObjectToJSON(), META_OutputResourceInfo(), and META_StructToJSON().

## ◆ pfn_EncodeReal

void(* stPayloadEncoder_t::pfn_EncodeReal) (stPayloadBuffer_t *pstPayload, double dValue)

Definition at line 45 of file platform_encoder.h.

Referenced by GET_ObjectToJSON(), and META_ObjectToJSON().

## ◆ pfn_EncodeSignedInt

void(* stPayloadEncoder_t::pfn_EncodeSignedInt) (stPayloadBuffer_t *pstPayload, int64_t i64Value)

Definition at line 43 of file platform_encoder.h.

Referenced by GET_ObjectToJSON(), META_ObjectToJSON(), and META_OutputResourceInfo().

## ◆ pfn_EncodeString

void(* stPayloadEncoder_t::pfn_EncodeString) (stPayloadBuffer_t *pstPayload, const uint8_t *pau8String)

Definition at line 46 of file platform_encoder.h.

Referenced by GET_ObjectToJSON(), META_EncodeType(), META_ObjectToJSON(), META_OutputFlagInfo(), and META_OutputResourceInfo().

## ◆ pfn_EncodeStructEnd

void(* stPayloadEncoder_t::pfn_EncodeStructEnd) (stPayloadBuffer_t *pstPayload)

Definition at line 36 of file platform_encoder.h.

Referenced by GET_Callback(), GET_StructToJSON(), META_Callback(), META_ObjectToJSON(), and META_StructToJSON().

## ◆ pfn_EncodeStructStart

void(* stPayloadEncoder_t::pfn_EncodeStructStart) (stPayloadBuffer_t *pstPayload)

Definition at line 35 of file platform_encoder.h.

Referenced by GET_Callback(), GET_StructToJSON(), META_Callback(), META_ObjectToJSON(), and META_StructToJSON().

## ◆ pfn_EncodeUnsignedInt

void(* stPayloadEncoder_t::pfn_EncodeUnsignedInt) (stPayloadBuffer_t *pstPayload, uint64_t ui64Value)

Definition at line 44 of file platform_encoder.h.

Referenced by GET_ObjectToJSON(), META_ObjectToJSON(), and META_OutputResourceInfo().

The documentation for this struct was generated from the following file:

- ARK/platform_encoder.h